Bug 216358 - improve fetch/push branches steps in dialogs
improve fetch/push branches steps in dialogs
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Linux
: P3 (vote)
: 7.3
Assigned To: Ondrej Vrabec
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 11:22 UTC by Ondrej Vrabec
Modified: 2012-08-14 02:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2012-08-03 11:22:18 UTC
Branches in the dialog should:
1) display correct annotations if local and remote branches equal and no update is needed
2) preferably the branches needing an update should be auto-selected
3) maybe a hint that a branch is X-commits ahead/behind
Comment 1 Ondrej Vrabec 2012-08-13 14:08:11 UTC
fix: http://hg.netbeans.org/core-main/rev/c399e02b9ead
Comment 2 Quality Engineering 2012-08-14 02:43:22 UTC
Integrated into 'main-golden', will be available in build *201208140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c399e02b9ead
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #216358 - improve fetch/push branches steps in dialogs
adding detection of up to date branches
adding detection of required pull in the push wizard


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo